cpu_vendor(3)

NAME
cpu_vendor - Contains the CPU vendor name. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

extern char cpu_vendor[];

DESCRIPTION
On Intel PCs, contains the CPU vendor name if known. On Mac OSX systems this contains the PPC subtype name. On other platforms, this may be an empty string. You can read this variable after you have called check_cpu() (which is automatically called by allegro_init()).

SEE ALSO
check_cpu(3), cpu_family(3), cpu_model(3), cpu_capabilities(3), allegro_init(3)